Index: src/java/edu/internet2/middleware/ldappc/StemProcessor.java
===================================================================
--- src/java/edu/internet2/middleware/ldappc/StemProcessor.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappc/StemProcessor.java	(revision 462)
@@ -20,17 +20,17 @@
 
 
 import edu.internet2.middleware.grouper.Stem;
-import edu.internet2.middleware.grouper.StemAddException;
-import edu.internet2.middleware.grouper.StemNotFoundException;
-import edu.internet2.middleware.grouper.InsufficientPrivilegeException;
-import edu.internet2.middleware.grouper.StemDeleteException;
+import edu.internet2.middleware.grouper.exception.StemAddException;
+import edu.internet2.middleware.grouper.exception.StemNotFoundException;
+import edu.internet2.middleware.grouper.exception.InsufficientPrivilegeException;
+import edu.internet2.middleware.grouper.exception.StemDeleteException;
 import edu.internet2.middleware.grouper.StemFinder;
 import edu.internet2.middleware.grouper.GrouperSession;
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.grouper.GroupFinder;
-import edu.internet2.middleware.grouper.GroupAddException;
-import edu.internet2.middleware.grouper.GroupNotFoundException;
-import edu.internet2.middleware.grouper.GroupDeleteException;
+import edu.internet2.middleware.grouper.exception.GroupAddException;
+import edu.internet2.middleware.grouper.exception.GroupNotFoundException;
+import edu.internet2.middleware.grouper.exception.GroupDeleteException;
 import edu.internet2.middleware.ldappc.logging.ErrorLog;
 
 /**
Index: src/java/edu/internet2/middleware/ldappc/GroupProcessor.java
===================================================================
--- src/java/edu/internet2/middleware/ldappc/GroupProcessor.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappc/GroupProcessor.java	(revision 462)
@@ -19,9 +19,9 @@
 package edu.internet2.middleware.ldappc;
 
 import edu.internet2.middleware.grouper.Member;
-import edu.internet2.middleware.grouper.MemberAddException;
-import edu.internet2.middleware.grouper.InsufficientPrivilegeException;
-import edu.internet2.middleware.grouper.MemberDeleteException;
+import edu.internet2.middleware.grouper.exception.MemberAddException;
+import edu.internet2.middleware.grouper.exception.InsufficientPrivilegeException;
+import edu.internet2.middleware.grouper.exception.MemberDeleteException;
 import edu.internet2.middleware.grouper.GrouperSession;
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.subject.SubjectNotFoundException;
Index: src/java/edu/internet2/middleware/ldappc/GrouperProvisioner.java
===================================================================
--- src/java/edu/internet2/middleware/ldappc/GrouperProvisioner.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappc/GrouperProvisioner.java	(revision 462)
@@ -44,22 +44,22 @@
 
 import org.doomdark.uuid.UUIDGenerator;
 
-import edu.internet2.middleware.grouper.AttributeNotFoundException;
-import edu.internet2.middleware.grouper.ChildGroupFilter;
+import edu.internet2.middleware.grouper.exception.AttributeNotFoundException;
+import edu.internet2.middleware.grouper.filter.ChildGroupFilter;
 import edu.internet2.middleware.grouper.Group;
-import edu.internet2.middleware.grouper.GrouperQuery;
+import edu.internet2.middleware.grouper.filter.GrouperQuery;
 import edu.internet2.middleware.grouper.GrouperSession;
 import edu.internet2.middleware.grouper.Member;
-import edu.internet2.middleware.grouper.NullFilter;
-import edu.internet2.middleware.grouper.QueryException;
-import edu.internet2.middleware.grouper.QueryFilter;
-import edu.internet2.middleware.grouper.SchemaException;
-import edu.internet2.middleware.grouper.SessionException;
+import edu.internet2.middleware.grouper.filter.NullFilter;
+import edu.internet2.middleware.grouper.exception.QueryException;
+import edu.internet2.middleware.grouper.filter.QueryFilter;
+import edu.internet2.middleware.grouper.exception.SchemaException;
+import edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.grouper.Stem;
 import edu.internet2.middleware.grouper.StemFinder;
-import edu.internet2.middleware.grouper.StemNotFoundException;
-import edu.internet2.middleware.grouper.UnionFilter;
-import edu.internet2.middleware.grouper.queryFilter.GroupAttributeExactFilter;
+import edu.internet2.middleware.grouper.exception.StemNotFoundException;
+import edu.internet2.middleware.grouper.filter.UnionFilter;
+import edu.internet2.middleware.grouper.filter.GroupAttributeExactFilter;
 import edu.internet2.middleware.ldappc.logging.ErrorLog;
 import edu.internet2.middleware.ldappc.synchronize.GroupEntrySynchronizer;
 import edu.internet2.middleware.ldappc.synchronize.GroupStringMembershipSynchronizer;
Index: src/java/edu/internet2/middleware/ldappc/GrouperSessionControl.java
===================================================================
--- src/java/edu/internet2/middleware/ldappc/GrouperSessionControl.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappc/GrouperSessionControl.java	(revision 462)
@@ -21,7 +21,7 @@
 import org.apache.commons.lang.exception.ExceptionUtils;
 
 import  edu.internet2.middleware.grouper.GrouperSession;
-import  edu.internet2.middleware.grouper.SessionException;
+import  edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.ldappc.logging.DebugLog;
 import edu.internet2.middleware.ldappc.logging.ErrorLog;
 
Index: src/java/edu/internet2/middleware/ldappc/synchronize/GroupEntrySynchronizer.java
===================================================================
--- src/java/edu/internet2/middleware/ldappc/synchronize/GroupEntrySynchronizer.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappc/synchronize/GroupEntrySynchronizer.java	(revision 462)
@@ -38,7 +38,7 @@
 import javax.naming.directory.SearchResult;
 import javax.naming.ldap.LdapContext;
 
-import edu.internet2.middleware.grouper.AttributeNotFoundException;
+import edu.internet2.middleware.grouper.exception.AttributeNotFoundException;
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.grouper.Member;
 import edu.internet2.middleware.grouper.Stem;
Index: src/java/edu/internet2/middleware/ldappcTest/qs/QuickStartTestU.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/qs/QuickStartTestU.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/qs/QuickStartTestU.java	(revision 462)
@@ -56,25 +56,25 @@
 import edu.internet2.middleware.ldappc.InputOptions;
 import edu.internet2.middleware.ldappc.LdappcProvisionControl;
 
-import edu.internet2.middleware.grouper.AttributeNotFoundException;
-import edu.internet2.middleware.grouper.GroupNameFilter;
-import edu.internet2.middleware.grouper.GrouperQuery;
+import edu.internet2.middleware.grouper.exception.AttributeNotFoundException;
+import edu.internet2.middleware.grouper.filter.GroupNameFilter;
+import edu.internet2.middleware.grouper.filter.GrouperQuery;
 import edu.internet2.middleware.grouper.GrouperSession;
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.grouper.GroupFinder;
-import edu.internet2.middleware.grouper.GroupNotFoundException;
-import edu.internet2.middleware.grouper.GroupAddException;
-import edu.internet2.middleware.grouper.GroupDeleteException;
+import edu.internet2.middleware.grouper.exception.GroupNotFoundException;
+import edu.internet2.middleware.grouper.exception.GroupAddException;
+import edu.internet2.middleware.grouper.exception.GroupDeleteException;
 import edu.internet2.middleware.grouper.Stem;
 import edu.internet2.middleware.grouper.Member;
 import edu.internet2.middleware.grouper.MemberFinder;
-import edu.internet2.middleware.grouper.MemberNotFoundException;
-import edu.internet2.middleware.grouper.MemberAddException;
-import edu.internet2.middleware.grouper.MemberDeleteException;
-import edu.internet2.middleware.grouper.InsufficientPrivilegeException;
-import edu.internet2.middleware.grouper.SessionException;
+import edu.internet2.middleware.grouper.exception.MemberNotFoundException;
+import edu.internet2.middleware.grouper.exception.MemberAddException;
+import edu.internet2.middleware.grouper.exception.MemberDeleteException;
+import edu.internet2.middleware.grouper.exception.InsufficientPrivilegeException;
+import edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.grouper.StemFinder;
-import edu.internet2.middleware.grouper.UnionFilter;
+import edu.internet2.middleware.grouper.filter.UnionFilter;
 
 import javax.naming.directory.BasicAttribute;
 import javax.naming.directory.BasicAttributes;
Index: src/java/edu/internet2/middleware/ldappcTest/StemProcessorTest.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/StemProcessorTest.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/StemProcessorTest.java	(revision 462)
@@ -23,13 +23,13 @@
 import edu.internet2.middleware.grouper.GrouperSession;
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.grouper.GroupFinder;
-import edu.internet2.middleware.grouper.GroupNotFoundException;
+import edu.internet2.middleware.grouper.exception.GroupNotFoundException;
 import edu.internet2.middleware.grouper.Stem;
 import edu.internet2.middleware.grouper.StemFinder;
-import edu.internet2.middleware.grouper.StemNotFoundException;
-import edu.internet2.middleware.grouper.StemDeleteException;
-import edu.internet2.middleware.grouper.InsufficientPrivilegeException;
-import edu.internet2.middleware.grouper.SessionException;
+import edu.internet2.middleware.grouper.exception.StemNotFoundException;
+import edu.internet2.middleware.grouper.exception.StemDeleteException;
+import edu.internet2.middleware.grouper.exception.InsufficientPrivilegeException;
+import edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.ldappc.GrouperSessionControl;
 import edu.internet2.middleware.ldappc.GrouperSubjectRetriever;
 import edu.internet2.middleware.ldappc.StemProcessor;
Index: src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseDisplayer.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseDisplayer.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseDisplayer.java	(revision 462)
@@ -27,7 +27,7 @@
 import edu.internet2.middleware.grouper.Member;
 import edu.internet2.middleware.grouper.Stem;
 import edu.internet2.middleware.grouper.StemFinder;
-import edu.internet2.middleware.grouper.SessionException;
+import edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.ldappc.ConfigManager;
 import edu.internet2.middleware.ldappc.GrouperSubjectRetriever;
 import edu.internet2.middleware.ldappc.logging.DebugLog;
Index: src/java/edu/internet2/middleware/ldappcTest/dbBuilder/GroupBuilderTest.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/dbBuilder/GroupBuilderTest.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/dbBuilder/GroupBuilderTest.java	(revision 462)
@@ -23,16 +23,16 @@
 import edu.internet2.middleware.grouper.GrouperSession;
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.grouper.GroupFinder;
-import edu.internet2.middleware.grouper.GroupNotFoundException;
-import edu.internet2.middleware.grouper.GroupAddException;
-import edu.internet2.middleware.grouper.GroupDeleteException;
+import edu.internet2.middleware.grouper.exception.GroupNotFoundException;
+import edu.internet2.middleware.grouper.exception.GroupAddException;
+import edu.internet2.middleware.grouper.exception.GroupDeleteException;
 import edu.internet2.middleware.grouper.Stem;
 import edu.internet2.middleware.grouper.StemFinder;
-import edu.internet2.middleware.grouper.StemNotFoundException;
-import edu.internet2.middleware.grouper.StemAddException;
-import edu.internet2.middleware.grouper.StemDeleteException;
-import edu.internet2.middleware.grouper.InsufficientPrivilegeException;
-import edu.internet2.middleware.grouper.SessionException;
+import edu.internet2.middleware.grouper.exception.StemNotFoundException;
+import edu.internet2.middleware.grouper.exception.StemAddException;
+import edu.internet2.middleware.grouper.exception.StemDeleteException;
+import edu.internet2.middleware.grouper.exception.InsufficientPrivilegeException;
+import edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.ldappc.GrouperSessionControl;
 import edu.internet2.middleware.ldappc.GrouperSubjectRetriever;
 import edu.internet2.middleware.ldappcTest.DisplayTest;
Index: src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseCleaner.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseCleaner.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseCleaner.java	(revision 462)
@@ -27,9 +27,9 @@
 
 import edu.internet2.middleware.grouper.Stem;
 import edu.internet2.middleware.grouper.StemFinder;
-import edu.internet2.middleware.grouper.StemNotFoundException;
-import edu.internet2.middleware.grouper.StemDeleteException;
-import edu.internet2.middleware.grouper.InsufficientPrivilegeException;
+import edu.internet2.middleware.grouper.exception.StemNotFoundException;
+import edu.internet2.middleware.grouper.exception.StemDeleteException;
+import edu.internet2.middleware.grouper.exception.InsufficientPrivilegeException;
 
 import edu.internet2.middleware.ldappc.Ldappc;
 import edu.internet2.middleware.ldappc.LdappcRuntimeException;
Index: src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseCleanerTest.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseCleanerTest.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/dbBuilder/DatabaseCleanerTest.java	(revision 462)
@@ -26,7 +26,7 @@
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.grouper.Stem;
 import edu.internet2.middleware.grouper.StemFinder;
-import edu.internet2.middleware.grouper.SessionException;
+import edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.ldappc.GrouperSubjectRetriever;
 import edu.internet2.middleware.ldappc.StemProcessor;
 import edu.internet2.middleware.ldappc.logging.DebugLog;
Index: src/java/edu/internet2/middleware/ldappcTest/GrouperProvisionerLastModifyTest.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/GrouperProvisionerLastModifyTest.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/GrouperProvisionerLastModifyTest.java	(revision 462)
@@ -33,15 +33,15 @@
 import edu.internet2.middleware.grouper.GrouperSession;
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.grouper.GroupFinder;
-import edu.internet2.middleware.grouper.GroupNotFoundException;
+import edu.internet2.middleware.grouper.exception.GroupNotFoundException;
 import edu.internet2.middleware.grouper.Stem;
 import edu.internet2.middleware.grouper.StemFinder;
-import edu.internet2.middleware.grouper.StemNotFoundException;
-import edu.internet2.middleware.grouper.SessionException;
-import edu.internet2.middleware.grouper.GroupModifiedAfterFilter;
-import edu.internet2.middleware.grouper.QueryException;
-import edu.internet2.middleware.grouper.GroupModifyException;
-import edu.internet2.middleware.grouper.InsufficientPrivilegeException;
+import edu.internet2.middleware.grouper.exception.StemNotFoundException;
+import edu.internet2.middleware.grouper.exception.SessionException;
+import edu.internet2.middleware.grouper.filter.GroupModifiedAfterFilter;
+import edu.internet2.middleware.grouper.exception.QueryException;
+import edu.internet2.middleware.grouper.exception.GroupModifyException;
+import edu.internet2.middleware.grouper.exception.InsufficientPrivilegeException;
 import edu.internet2.middleware.ldappc.LdappcProvisionControl;
 import edu.internet2.middleware.ldappc.LdappcRuntimeException;
 import edu.internet2.middleware.ldappc.ConfigManager;
Index: src/java/edu/internet2/middleware/ldappcTest/GrouperProvisionerTest.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/GrouperProvisionerTest.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/GrouperProvisionerTest.java	(revision 462)
@@ -23,7 +23,7 @@
 
 
 import edu.internet2.middleware.grouper.GrouperSession;
-import edu.internet2.middleware.grouper.SessionException;
+import edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.ldappc.LdappcProvisionControl;
 import edu.internet2.middleware.ldappc.GroupProcessor;
 import edu.internet2.middleware.ldappc.GrouperSessionControl;
Index: src/java/edu/internet2/middleware/ldappcTest/GrouperExportTest.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/GrouperExportTest.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/GrouperExportTest.java	(revision 462)
@@ -23,8 +23,8 @@
 import edu.internet2.middleware.subject.Subject;
 
 import edu.internet2.middleware.grouper.GrouperSession;
-import edu.internet2.middleware.grouper.SessionException;
-import edu.internet2.middleware.grouper.XmlExporter;
+import edu.internet2.middleware.grouper.exception.SessionException;
+import edu.internet2.middleware.grouper.xml.XmlExporter;
 import edu.internet2.middleware.ldappc.GrouperSubjectRetriever;
 import edu.internet2.middleware.ldappc.logging.ErrorLog;
 import edu.internet2.middleware.ldappcTest.DisplayTest;
Index: src/java/edu/internet2/middleware/ldappcTest/GroupProcessorTest.java
===================================================================
--- src/java/edu/internet2/middleware/ldappcTest/GroupProcessorTest.java	(revision 448)
+++ src/java/edu/internet2/middleware/ldappcTest/GroupProcessorTest.java	(revision 462)
@@ -26,12 +26,12 @@
 import edu.internet2.middleware.grouper.GrouperSession;
 import edu.internet2.middleware.grouper.Group;
 import edu.internet2.middleware.grouper.GroupFinder;
-import edu.internet2.middleware.grouper.GroupNotFoundException;
-import edu.internet2.middleware.grouper.MemberAddException;
-import edu.internet2.middleware.grouper.GrouperRuntimeException;
-import edu.internet2.middleware.grouper.SessionException;
+import edu.internet2.middleware.grouper.exception.GroupNotFoundException;
+import edu.internet2.middleware.grouper.exception.MemberAddException;
+import edu.internet2.middleware.grouper.exception.GrouperRuntimeException;
+import edu.internet2.middleware.grouper.exception.SessionException;
 import edu.internet2.middleware.grouper.SubjectFinder;
-import edu.internet2.middleware.grouper.InsufficientPrivilegeException;
+import edu.internet2.middleware.grouper.exception.InsufficientPrivilegeException;
 
 import edu.internet2.middleware.ldappc.GroupProcessor;
 import edu.internet2.middleware.ldappc.GrouperSessionControl;
